lkml.org 
[lkml]   [2020]   [Sep]   [22]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH v9 13/20] gpio: uapi: document uAPI v1 as deprecated
On Tue, Sep 22, 2020 at 4:36 AM Kent Gibson <warthog618@gmail.com> wrote:
> /*
> * ABI v1
> + *
> + * This version of the ABI is deprecated and will be removed in the future.
> + * Use the latest version of the ABI, defined above, instead.
> */

How intentional is the wording here? It seems unrealistic that the v1 ABI
would be removed any time soon if there are existing users and applications
cannot yet rely on v2 to be present in all kernels, so it sounds like a hollow
threat.

At the same time I can see that telling users it will be removed can lead to
them moving on to the new version more quickly, so maybe a hollow threat
is in fact appropriate here ;-)

Arnd

\
 
 \ /
  Last update: 2020-09-22 09:50    [W:0.291 / U:1.208 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site